import express from 'express';
import { recordMood, getMoodHistory } from '../controllers/moodController.js';
import { protect } from '../middleware/authMiddleware.js';

const router = express.Router();

router.route('/')
  .get(protect, getMoodHistory)
  .post(protect, recordMood);

export default router;